/* OperateLogWindow.c generated by valac 0.40.8, the Vala compiler
 * generated from OperateLogWindow.vala, do not modify */

/*
 * LogWindow.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk/gdk.h>


#define TYPE_LOG_WINDOW (log_window_get_type ())
#define LOG_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LOG_WINDOW, LogWindow))
#define LOG_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_LOG_WINDOW, LogWindowClass))
#define IS_LOG_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LOG_WINDOW))
#define IS_LOG_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_LOG_WINDOW))
#define LOG_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_LOG_WINDOW, LogWindowClass))

typedef struct _LogWindow LogWindow;
typedef struct _LogWindowClass LogWindowClass;
typedef struct _LogWindowPrivate LogWindowPrivate;

#define TYPE_LOG_LIST_BOX (log_list_box_get_type ())
#define LOG_LIST_BOX(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_LOG_LIST_BOX, LogListBox))
#define LOG_LIST_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_LOG_LIST_BOX, LogListBoxClass))
#define IS_LOG_LIST_BOX(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_LOG_LIST_BOX))
#define IS_LOG_LIST_BOX_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_LOG_LIST_BOX))
#define LOG_LIST_BOX_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_LOG_LIST_BOX, LogListBoxClass))

typedef struct _LogListBox LogListBox;
typedef struct _LogListBoxClass LogListBoxClass;
enum  {
	LOG_WINDOW_0_PROPERTY,
	LOG_WINDOW_NUM_PROPERTIES
};
static GParamSpec* log_window_properties[LOG_WINDOW_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _LogWindow {
	GtkWindow parent_instance;
	LogWindowPrivate * priv;
};

struct _LogWindowClass {
	GtkWindowClass parent_class;
};

struct _LogWindowPrivate {
	GtkBox* vbox_main;
	GtkNotebook* notebook;
	GtkButtonBox* bbox_action;
	LogListBox* log_list_box;
	guint tmr_init;
	gint def_width;
	gint def_height;
	gboolean success;
};


static gpointer log_window_parent_class = NULL;

GType log_window_get_type (void) G_GNUC_CONST;
GType log_list_box_get_type (void) G_GNUC_CONST;
#define LOG_WINDOW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_LOG_WINDOW, LogWindowPrivate))
LogWindow* log_window_new (void);
LogWindow* log_window_construct (GType object_type);
void tee_jee_logging_log_debug (const gchar* message);
GdkPixbuf* icon_manager_lookup (const gchar* icon_name,
                                gint icon_size,
                                gboolean symbolic,
                                gboolean use_hardcoded,
                                gint scale);
static gboolean log_window_on_delete_event (LogWindow* self,
                                     GdkEventAny* event);
static gboolean _log_window_on_delete_event_gtk_widget_delete_event (GtkWidget* _sender,
                                                              GdkEventAny* event,
                                                              gpointer self);
GtkNotebook* tee_jee_gtk_helper_add_notebook (GtkBox* box,
                                              gboolean show_tabs,
                                              gboolean show_border);
LogListBox* log_list_box_new (GtkWindow* _parent_window);
LogListBox* log_list_box_construct (GType object_type,
                                    GtkWindow* _parent_window);
static void log_window_create_actions (LogWindow* self);
static gboolean log_window_init_delayed (LogWindow* self);
static gboolean _log_window_init_delayed_gsource_func (gpointer self);
static void log_window_initialize_tab (LogWindow* self);
void tee_jee_logging_log_msg (const gchar* message,
                              gboolean highlight);
void log_list_box_refresh (LogListBox* self);
static void log_window_finalize (GObject * obj);


static gboolean
_log_window_on_delete_event_gtk_widget_delete_event (GtkWidget* _sender,
                                                     GdkEventAny* event,
                                                     gpointer self)
{
	gboolean result;
	result = log_window_on_delete_event ((LogWindow*) self, event);
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return result;
#line 131 "OperateLogWindow.c"
}


static gboolean
_log_window_init_delayed_gsource_func (gpointer self)
{
	gboolean result;
	result = log_window_init_delayed ((LogWindow*) self);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return result;
#line 142 "OperateLogWindow.c"
}


LogWindow*
log_window_construct (GType object_type)
{
	LogWindow * self = NULL;
	gint _tmp0_;
	gint _tmp1_;
	GdkPixbuf* _tmp2_;
	GdkPixbuf* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	GtkBox* _tmp6_;
	GtkBox* _tmp7_;
	GtkBox* _tmp8_;
	GtkBox* _tmp9_;
	GtkNotebook* _tmp10_;
	GtkBox* vbox_tab = NULL;
	GtkBox* _tmp11_;
	GtkLabel* label = NULL;
	GtkLabel* _tmp12_;
	LogListBox* _tmp13_;
	LogListBox* _tmp14_;
	LogListBox* _tmp15_;
	GtkNotebook* _tmp16_;
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self = (LogWindow*) g_object_new (object_type, NULL);
#line 51 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	tee_jee_logging_log_debug ("LogWindow: LogWindow()");
#line 53 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_window_set_title ((GtkWindow*) self, _ ("List Operate Log"));
#line 54 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_set ((GtkWindow*) self, "window-position", GTK_WIN_POS_CENTER, NULL);
#line 55 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp0_ = self->priv->def_width;
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp1_ = self->priv->def_height;
#line 56 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_window_set_default_size ((GtkWindow*) self, _tmp0_, _tmp1_);
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp2_ = icon_manager_lookup ("timeshift", 16, FALSE, FALSE, 1);
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp3_ = _tmp2_;
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_window_set_icon ((GtkWindow*) self, _tmp3_);
#line 57 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (_tmp3_);
#line 59 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_signal_connect_object ((GtkWidget*) self, "delete-event", (GCallback) _log_window_on_delete_event_gtk_widget_delete_event, self, 0);
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp4_ = self->priv->def_width;
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp5_ = self->priv->def_height;
#line 61 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_window_resize ((GtkWindow*) self, _tmp4_, _tmp5_);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp6_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_ref_sink (_tmp6_);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->vbox_main);
#line 64 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->vbox_main = _tmp6_;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp7_ = self->priv->vbox_main;
#line 65 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_set ((GtkWidget*) _tmp7_, "margin", 0, NULL);
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp8_ = self->priv->vbox_main;
#line 66 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp8_);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp9_ = self->priv->vbox_main;
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp10_ = tee_jee_gtk_helper_add_notebook (_tmp9_, FALSE, FALSE);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->notebook);
#line 69 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->notebook = _tmp10_;
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp11_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_ref_sink (_tmp11_);
#line 72 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	vbox_tab = _tmp11_;
#line 73 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_set ((GtkWidget*) vbox_tab, "margin", 12, NULL);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_ ("Operate Log"));
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_ref_sink (_tmp12_);
#line 76 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	label = _tmp12_;
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp13_ = log_list_box_new ((GtkWindow*) self);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_ref_sink (_tmp13_);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->log_list_box);
#line 78 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->log_list_box = _tmp13_;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp14_ = self->priv->log_list_box;
#line 80 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_set ((GtkWidget*) _tmp14_, "margin", 0, NULL);
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp15_ = self->priv->log_list_box;
#line 81 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_container_add ((GtkContainer*) vbox_tab, (GtkWidget*) _tmp15_);
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp16_ = self->priv->notebook;
#line 83 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_notebook_append_page (_tmp16_, (GtkWidget*) vbox_tab, (GtkWidget*) label);
#line 85 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	log_window_create_actions (self);
#line 87 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 91 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->tmr_init = g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 100, _log_window_init_delayed_gsource_func, g_object_ref (self), g_object_unref);
#line 93 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	tee_jee_logging_log_debug ("LogWindow: LogWindow(): exit");
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (label);
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (vbox_tab);
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return self;
#line 273 "OperateLogWindow.c"
}


LogWindow*
log_window_new (void)
{
#line 49 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return log_window_construct (TYPE_LOG_WINDOW);
#line 282 "OperateLogWindow.c"
}


static gboolean
log_window_init_delayed (LogWindow* self)
{
	gboolean result = FALSE;
	guint _tmp0_;
#line 96 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp0_ = self->priv->tmr_init;
#line 97 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	if (_tmp0_ > ((guint) 0)) {
#line 297 "OperateLogWindow.c"
		guint _tmp1_;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
		_tmp1_ = self->priv->tmr_init;
#line 98 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
		g_source_remove (_tmp1_);
#line 99 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
		self->priv->tmr_init = (guint) 0;
#line 305 "OperateLogWindow.c"
	}
#line 101 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	log_window_initialize_tab (self);
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	result = FALSE;
#line 103 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return result;
#line 313 "OperateLogWindow.c"
}


static gboolean
log_window_on_delete_event (LogWindow* self,
                            GdkEventAny* event)
{
	gboolean result = FALSE;
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 106 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_return_val_if_fail (event != NULL, FALSE);
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	result = FALSE;
#line 107 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return result;
#line 330 "OperateLogWindow.c"
}


static gpointer
_g_object_ref0 (gpointer self)
{
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	return self ? g_object_ref (self) : NULL;
#line 339 "OperateLogWindow.c"
}


static void
log_window_create_actions (LogWindow* self)
{
	GtkBox* hbox = NULL;
	GtkBox* _tmp0_;
	GtkBox* _tmp1_;
	GtkButtonBox* bbox = NULL;
	GtkButtonBox* _tmp2_;
	GtkButtonBox* _tmp3_;
	GtkSizeGroup* size_group = NULL;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_return_if_fail (self != NULL);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp0_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_ref_sink (_tmp0_);
#line 111 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	hbox = _tmp0_;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp1_ = self->priv->vbox_main;
#line 112 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_container_add ((GtkContainer*) _tmp1_, (GtkWidget*) hbox);
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp2_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_ref_sink (_tmp2_);
#line 114 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	bbox = _tmp2_;
#line 115 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_set ((GtkWidget*) bbox, "margin", 12, NULL);
#line 116 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_box_set_spacing ((GtkBox*) bbox, 6);
#line 117 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_widget_set_hexpand ((GtkWidget*) bbox, TRUE);
#line 118 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_container_add ((GtkContainer*) hbox, (GtkWidget*) bbox);
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp3_ = _g_object_ref0 (bbox);
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->bbox_action);
#line 120 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->bbox_action = _tmp3_;
#line 122 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	gtk_button_box_set_layout (bbox, GTK_BUTTONBOX_CENTER);
#line 124 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	size_group = NULL;
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (size_group);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (bbox);
#line 110 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (hbox);
#line 395 "OperateLogWindow.c"
}


static void
log_window_initialize_tab (LogWindow* self)
{
	GtkNotebook* _tmp0_;
	gint _tmp1_;
	gint _tmp2_;
	GtkNotebook* _tmp3_;
	gint _tmp4_;
	gint _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	LogListBox* _tmp8_;
#line 127 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_return_if_fail (self != NULL);
#line 128 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	tee_jee_logging_log_debug ("OperateLogWindow: initialize_tab()");
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp0_ = self->priv->notebook;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_get (_tmp0_, "page", &_tmp1_, NULL);
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp2_ = _tmp1_;
#line 129 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	if (_tmp2_ < 0) {
#line 130 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
		return;
#line 425 "OperateLogWindow.c"
	}
#line 133 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp3_ = self->priv->notebook;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_object_get (_tmp3_, "page", &_tmp4_, NULL);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp5_ = _tmp4_;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp6_ = g_strdup_printf ("page: %d", _tmp5_);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp7_ = _tmp6_;
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	tee_jee_logging_log_debug (_tmp7_);
#line 134 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_free0 (_tmp7_);
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_tmp8_ = self->priv->log_list_box;
#line 137 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	log_list_box_refresh (_tmp8_);
#line 138 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	tee_jee_logging_log_debug ("OperateLogWindow: initialize_tab() exit");
#line 449 "OperateLogWindow.c"
}


static void
log_window_class_init (LogWindowClass * klass)
{
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	log_window_parent_class = g_type_class_peek_parent (klass);
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	g_type_class_add_private (klass, sizeof (LogWindowPrivate));
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	G_OBJECT_CLASS (klass)->finalize = log_window_finalize;
#line 462 "OperateLogWindow.c"
}


static void
log_window_instance_init (LogWindow * self)
{
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv = LOG_WINDOW_GET_PRIVATE (self);
#line 45 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->def_width = 500;
#line 46 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->def_height = 400;
#line 47 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self->priv->success = FALSE;
#line 477 "OperateLogWindow.c"
}


static void
log_window_finalize (GObject * obj)
{
	LogWindow * self;
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_LOG_WINDOW, LogWindow);
#line 37 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->vbox_main);
#line 38 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->notebook);
#line 39 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->bbox_action);
#line 42 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	_g_object_unref0 (self->priv->log_list_box);
#line 35 "/builddir/build/BUILD/timeshift-22.11.2/src/Gtk/OperateLogWindow.vala"
	G_OBJECT_CLASS (log_window_parent_class)->finalize (obj);
#line 497 "OperateLogWindow.c"
}


GType
log_window_get_type (void)
{
	static volatile gsize log_window_type_id__volatile = 0;
	if (g_once_init_enter (&log_window_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (LogWindowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) log_window_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (LogWindow), 0, (GInstanceInitFunc) log_window_instance_init, NULL };
		GType log_window_type_id;
		log_window_type_id = g_type_register_static (gtk_window_get_type (), "LogWindow", &g_define_type_info, 0);
		g_once_init_leave (&log_window_type_id__volatile, log_window_type_id);
	}
	return log_window_type_id__volatile;
}



